import React from 'react'
import CIcon from '@coreui/icons-react'
import {
  cilBell,
  cilBorderAll,
  cilCalculator,
  cilChartPie,
  cilCursor,
  cilDescription,
  cilDrop,
  cilFile,
  cilNotes,
  cilPaperPlane,
  cilPencil,
  cilPuzzle,
  cilShare,
  cilSpeedometer,
  cilStar,
  cilStorage,
} from '@coreui/icons'
import { CNavGroup, CNavItem, CNavTitle } from '@coreui/react'

const _nav = [
  {
    component: CNavItem,
    name: 'Dashboard',
    to: '/dashboard',
    icon: <CIcon icon={cilSpeedometer} customClassName="nav-icon" />,
  },
  {
    component: CNavItem,
    name: 'Shop',
    to: '/shop',
    icon: <CIcon icon={cilShare} customClassName="nav-icon" />,
  },
  {
    component: CNavItem,
    name: 'Cart',
    to: '/cart',
    icon: <CIcon icon={cilShare} customClassName="nav-icon" />,
  },
  {
    component: CNavItem,
    name: 'Orders Placed',
    to: '/orders-placed',
    icon: <CIcon icon={cilPaperPlane} customClassName="nav-icon" />,
  },
  {
    component: CNavItem,
    name: 'Product manual',
    to: '/product-manual',
    icon: <CIcon icon={cilFile} customClassName="nav-icon" />,
  },

  // {
  //   component: CNavItem,
  //   name: 'Orders',
  //   to: '/order',
  //   icon: <CIcon icon={cilBorderAll} customClassName="nav-icon" />,
  // },
  {
    component: CNavItem,
    name: 'KYC',
    to: '/kyc',
    icon: <CIcon icon={cilDescription} customClassName="nav-icon" />,
  },
  {
    component: CNavGroup,
    name: 'RD Orders',
    to: '/base',
    icon: <CIcon icon={cilPuzzle} customClassName="nav-icon" />,
    items: [
      {
        component: CNavItem,
        name: 'New',
        to: '/new',
      },
      {
        component: CNavItem,
        name: 'Pending',
        to: '/pending',
      },
      {
        component: CNavItem,
        name: 'Processing',
        to: '/processing',
      },
      {
        component: CNavItem,
        name: 'Dispathed',
        to: '/dispatched',
      },
      {
        component: CNavItem,
        name: 'Delivered',
        to: '/delivered',
      },
      {
        component: CNavItem,
        name: 'Cancelled',
        to: 'cancelled',
      },
    ],
  },
  {
    component: CNavItem,
    name: 'Opening inventory',
    to: '/stock',
    icon: <CIcon icon={cilStorage} customClassName="nav-icon" />,
  },
  {
    component: CNavItem,
    name: 'Announcements',
    to: '/announcemnets',
    icon: <CIcon icon={cilStorage} customClassName="nav-icon" />,
  },
]

export default _nav
