import { element } from 'prop-types'
import React from 'react'

import Cart from './views/pages/cart/cart'
import OrderDetails from './views/orders/OrderDetails'
import ProductManual from './views/pages/productManual/productManual'
import ViewProductManual from './views/pages/productManual/viewProductManual'
import NewOrders from './views/pages/rdOrders/newOrder'
import ViewOrders from './views/pages/rdOrders/viewOrders'

import PendingOrders from './views/pages/rdOrders/pendingOrders'
import CancelledOrders from './views/pages/rdOrders/cancelledOrders'
import ProcessingInvoices from './views/pages/rdOrders/processingInvoices'
import ViewInvoices from './views/pages/rdOrders/invoiceView'
import DispatchedInvoices from './views/pages/rdOrders/dispatchedInvoices'
import DeliveredInvoices from './views/pages/rdOrders/deliveredInvoices'
import StockTable from './views/pages/stock/stockTable'
import Announcements from './views/pages/announcements/announcements'

const Dashboard = React.lazy(() => import('./views/dashboard/Dashboard'))
const Shop = React.lazy(() => import('./views/shops/Shop'))
const Order = React.lazy(() => import('./views/orders/Order'))
const MyProfile = React.lazy(() => import('./views/pages/profile/MyProfile'))
const ChangePassword = React.lazy(() => import('./views/pages/profile/ChangePassword'))
const Kyc = React.lazy(() => import('./views/pages/Kyc/kyc'))
const KycDetails = React.lazy(() => import('./views/pages/Kyc/kycDetails'))

const routes = [
  { path: '/', exact: true, name: 'Home' },
  { path: '/dashboard', name: 'Dashboard', element: Dashboard },
  { path: '/shop', name: 'Shop', element: Shop },
  { path: '/orders-placed', name: 'Order', element: Order },
  { path: '/orders-placed/:id', name: 'Order', element: OrderDetails },

  // KYC
  { path: '/kyc', name: 'KYC', element: Kyc },
  { path: '/kyc/details/:id', name: 'Kyc details', element: KycDetails },
  // Product manual
  { path: '/product-manual', name: 'Product Manual ', element: ProductManual },
  { path: '/product-manual/:id', name: 'Product Manual ', element: ViewProductManual },
  //RD  Orders
  { path: '/new', name: 'New', element: NewOrders },
  { path: '/pending', name: 'New', element: PendingOrders },
  { path: '/processing', name: 'New', element: ProcessingInvoices },
  { path: '/dispatched', name: 'New', element: DispatchedInvoices },
  { path: '/delivered', name: 'New', element: DeliveredInvoices },
  { path: '/invoice/:status/:id', name: 'New', element: ViewInvoices },
  { path: '/cancelled', name: 'New', element: CancelledOrders },
  { path: '/:status/:id', name: 'New', element: ViewOrders },

  { path: '/my-profile', name: 'Profile', element: MyProfile },
  { path: '/change-password', name: 'Change password', element: ChangePassword },

  { path: '/cart', name: 'Cart', element: Cart },
  { path: '/stock', name: 'Stock', element: StockTable },
  { path: '/announcemnets', name: 'Announcement', element: Announcements },
]

export default routes
