/* eslint-disable react/prop-types */
import React from 'react'

const MessageList = ({ messages }) => {
  const formatAMPM = (date) => {
    var hours = new Date(date).getHours()
    var minutes = new Date(date).getMinutes()
    var ampm = hours >= 12 ? 'PM' : 'AM'
    hours = hours % 12
    hours = hours ? hours : 12 // the hour '0' should be '12'
    minutes = minutes < 10 ? '0' + minutes : minutes
    var strTime = hours + ':' + minutes + ' ' + ampm
    return strTime
  }
  const formatDateWithoutComma = (date) => {
    const dateObj = new Date(date)
    const dateStr = dateObj.toDateString().split(' ')
    return `${dateStr[1]} ${dateStr[2]} ${dateStr[3]}`
  }
  return (
    <>
      {messages.map((msg, index) => (
        <div
          key={index}
          style={{
            marginBottom: '10px',
            padding: '10px',
            borderRadius: '5px',
            backgroundColor: msg.user === 'Principal Distributer' ? '#212631' : 'blue',
            boxShadow: '0px 3px 6px rgba(0,0,0,0.1)',
          }}
        >
          <div style={{ fontWeight: 'bold', marginBottom: '5px', color: 'white' }}>{msg.user}</div>
          <div style={{ fontWeight: 'bold', marginBottom: '5px', color: 'white' }}>
            {/* {new Date(`${msg.replyDate}`).toDateString()} */}
            {`${formatDateWithoutComma(msg?.replyDate)}`}
            <span> , {`${formatAMPM(msg?.replyDate)}`}</span>
          </div>
          <div style={{ color: 'white' }}>{msg.message}</div>
        </div>
      ))}
    </>
  )
}

export default MessageList
