/* eslint-disable react/prop-types */
import React from 'react'
import { Box, Modal, Typography, IconButton, Button } from '@mui/material'
import CloseIcon from '@mui/icons-material/Close'

const ImgModal = ({ open, handleClose, imageUrl }) => {
  const handleDownload = () => {
    const link = document.createElement('a')
    link.href = imageUrl
    link.download = imageUrl.split('/').pop()
    link.click()
  }

  return (
    <Modal
      open={open}
      onClose={handleClose}
      aria-labelledby="modal-modal-title"
      aria-describedby="modal-modal-description"
    >
      <Box sx={{ ...modalStyle, width: '90%', height: '90%' }}>
        <Box sx={{ display: 'flex', justifyContent: 'space-between', alignItems: 'center', mb: 2 }}>
          <Typography id="modal-modal-title" variant="h6" component="h2">
            Document Image
          </Typography>
          <IconButton onClick={handleClose}>
            <CloseIcon />
          </IconButton>
        </Box>
        <Box sx={{ display: 'flex', justifyContent: 'center', mb: 2 }}>
          <img
            src={imageUrl}
            alt="Document"
            style={{ maxWidth: '100%', maxHeight: '600px', objectFit: 'contain' }}
          />
        </Box>
        <Button variant="contained" onClick={handleDownload} sx={{ textTransform: 'unset' }}>
          Download
        </Button>
      </Box>
    </Modal>
  )
}

const modalStyle = {
  position: 'absolute',
  top: '50%',
  left: '50%',
  transform: 'translate(-50%, -50%)',
  bgcolor: 'background.paper',
  boxShadow: 24,
  p: 4,
}

export default ImgModal
